Subject: Re: [tcpm] [Editorial Errata Reported] RFC5925 (5347)

From: Joe Touch <[email-masked]>
Date: Thu, 03 May 2018 17:38:54 -0400

I do not agree that this is suggested text represents a clarification. 

At best, only the one sentence warrants clarification: 

From: When included, only the TCP-AO MAC field is zeroed. 

To: When TCP options are included, within those options only the TCP-AO
MAC field is zeroed.

However, that context is implicit in the existing text. Yes, we could
completely rewrite every RFC to be more clear, but that is not the
purpose of errata nor is it productive, IMO. 

Joe 

On 2018-05-03 16:32, RFC Errata System wrote:

> The following errata report has been submitted for RFC5925,
> "The TCP Authentication Option".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5347
> 
> --------------------------------------
> Type: Editorial
> Reported by: Ignacio Goyret <[email-masked]>
> 
> Section: 5.1
> 
> Original Text
> -------------
> 3. The TCP header, by default including options, and where the TCP
> checksum and TCP-AO MAC fields are set to zero, all in network-
> byte order.
> 
> The TCP option flag of the MKT indicates whether the TCP options
> are included in the MAC.  When included, only the TCP-AO MAC field
> is zeroed.
> 
> When TCP options are not included, all TCP options except for TCP-
> AO are omitted from MAC processing.  Again, the TCP-AO MAC field
> is zeroed for the MAC processing.
> 
> Corrected Text
> --------------
> 3. The TCP header and TCP options, where the TCP checksum and TCP-AO
> MAC fields are always set to zero, all in network-byte order.
> 
> The TCP option flag of the MKT indicates which TCP options are
> included in the MAC. When TCP options are not included, only the
> TCP option for TCP-AO (as described in Section 2.2) is included
> in the MAC. Otherwise, all the TCP options are included in the MAC.
> 
> Notes
> -----
> Rewording for clarity and simplification.
> The original text could lead to confusion re '...When included, only the TCP-AO MAC field is zeroed.'
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5925 (draft-ietf-tcpm-tcp-auth-opt-11)
> --------------------------------------
> Title               : The TCP Authentication Option
> Publication Date    : June 2010
> Author(s)           : J. Touch, A. Mankin, R. Bonica
> Category            : PROPOSED STANDARD
> Source              : TCP Maintenance and Minor Extensions
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG

---

From: RFC Errata System <[email-masked]>
Date: Thu, 3 May 2018 13:32:52 -0700 (PDT)

Section: 5.1

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

---

From: Ignacio Goyret <[email-masked]>
Date: Thu, 3 May 2018 17:20:59 -0700

The reason for the errata is because it happened: someone read
that text and interpreted that the tcp checksum would only need
to be cleared when only the TCP-AO option was included because the
text stated "when included, only the TCP-AO MAC field is zeroed".
Your suggested text addition does not address this incorrect
interpretation.

I also encountered someone that insisted that when only the TCP-AO
option was included, that it was only the option data, not its header.
That's why a reference to section 2.2 sounds reasonable to me.

IMO, this is *exactly* the reason for an "editorial" errata.
Technical details are not altered, just language clarifications
to promote interoperability. I am not suggesting rewriting this or
any other RFC.

-Ignacio

At 14:38 5/3/2018, Joe Touch wrote:

>To: When TCP options are included, within those options only the TCP-AO MAC field is zeroed.
> 
>
>However, that context is implicit in the existing text. Yes, we could completely rewrite every RFC to be more clear, but that is not the purpose of errata nor is it productive, IMO.
>
>Joe
>
>><http://www.rfc-editor.org/errata/eid5347>http://www.rfc-editor.org/errata/eid5347
>>
>>Reported by: Ignacio Goyret <<mailto:[email-masked]>[email-masked]>
>>
>>Section: 5.1
>>
>>Original Text
>>-------------

---

From: Joe Touch <[email-masked]>
Date: Thu, 3 May 2018 18:54:17 -0700

> Your suggested text addition does not address this incorrect
It actually does directly, with this phrase: "within those options".

> option was included, that it was only the option data, not its header.
That is already addressed in the existing text directly here:

  "When TCP options are not included, all TCP options except for TCP-
  AO are omitted from MAC processing."

> That's why a reference to section 2.2 sounds reasonable to me.
Adding the reference might be useful, but should not be strictly
necessary to interpret the existing text.

> to promote interoperability. I am not suggesting rewriting this or
There are many RFCs that have been misinterpreted. That doesn't always
warrant suggested alternate text.

Joe